// ================================================================================================
//  File Name: search.scss
//  Description: Page content search pages page layouts SCSS.
//  ----------------------------------------------------------------------------------------------
//  Item Name: IS React Admin Template
//  Version: 1.0
//  Author: PIXINVENT
//  Author URL: http://www.themeforest.net/user/pixinvent
// ================================================================================================

// Core variables and mixins overrides
@import "~bootstrap/scss/_functions.scss";
@import "../core/variables/variables";
@import "~bootstrap/scss/_variables.scss";

// Overrides user variable
@import "../core/variables/components-variables";

.search-results {
  //media-list
  .media-list {
    .media {
      padding: 0.5rem 1rem;
    }
  }
}

//search-menu
.search-menu {
  .search-filter,
  .dropdown-toggle {
    padding: 0.55rem 1rem !important;
    cursor: pointer;
    background-color: $white;
    box-shadow: 0 15px 30px 0 rgba(0, 0, 0, 0.11),
      0 5px 15px 0 rgba(0, 0, 0, 0.08);
  }
  //dropdown arrow icon display hide
  .dropdown-toggle {
    border-radius: 1.5rem !important;
    &::after {
      display: none;
    }
  }
}

//dropdown arrow icon
.search-result-info {
  .btn {
    &.dropdown-toggle {
      &::after {
        left: 0;
      }
    }
  }
}

// image and iframe height-width
@media only screen and (min-width: 577px) {
  .search-results {
    .media-list {
      .media {
        .media-object {
          width: 100px;
        }
        iframe {
          width: 100px;
          height: 65px;
        }
      }
    }
  }
}

// image and iframe height-width in sm screen
@media only screen and (max-width: 576px) {
  .search-results {
    .media-list {
      .media {
        .media-left {
          width: 100%;
          img,
          iframe {
            width: 100%;
            text-align: center;
          }
        }
      }
    }
  }
}
